{
  "compilerOptions": {
    // "preserveValueImports": true, // 已废弃，移除
    // "importsNotUsedAsValues": "error", // 已废弃，移除
    "target": "ES2020",
    "jsx": "preserve",
    "lib": ["ES2020", "DOM"],
    "useDefineForClassFields": true, // 合并 web 配置
    "baseUrl": ".",
    // 基于 @vue/tsconfig/tsconfig.json
    "module": "ES2020", // 用户自定义覆盖
    "moduleResolution": "node", // 用户自定义
    "paths": {
      "@/*": ["src/*"]
    }, // 用户自定义覆盖
    "resolveJsonModule": true, // 合并 web 配置
    "types": [],
    "allowJs": true,
    "checkJs": true,
    "strict": true,
    "noImplicitAny": false,
    "noImplicitThis": true,
    "sourceMap": true, // 用户自定义覆盖
    "esModuleInterop": true,
    "forceConsistentCasingInFileNames": true,
    "isolatedModules": true,
    "verbatimModuleSyntax": true,
    "skipLibCheck": true,
    "ignoreDeprecations": "5.0"
  },
  "include": ["src/**/*", "src/**/*.vue", "vite.config.ts"],
  "exclude": ["node_modules", "dist", "**/*.js"]
}
